ros-humble-rmw-fastrtps-dynamic-cpp (6.2.6-1bookworm) bookworm; urgency=high

  * Capture std::bad_alloc on deserializeROSmessage. (#665 <https://github.com/ros2/rmw_fastrtps/issues/665>) (#737 <https://github.com/ros2/rmw_fastrtps/issues/737>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.2.5-1bookworm) bookworm; urgency=high

  * Account for alignment on is_plain calculations. (#716 <https://github.com/ros2/rmw_fastrtps/issues/716>) (#732 <https://github.com/ros2/rmw_fastrtps/issues/732>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.2.4-1bookworm) bookworm; urgency=high

  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>) (#651 <https://github.com/ros2/rmw_fastrtps/issues/651>)
  * update fast-dds version into 2.6.2. (#702 <https://github.com/ros2/rmw_fastrtps/issues/702>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.2.3-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.2.2-1bookworm) bookworm; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (backport #619 <https://github.com/ros2/rmw_fastrtps/issues/619>) (#633 <https://github.com/ros2/rmw_fastrtps/issues/633>)
  * Allow null arguments in the EventsExecutor parameters (#605 <https://github.com/ros2/rmw_fastrtps/issues/605>)
  * Contributors: Jose Luis Rivero, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.2.1-1bookworm) bookworm; urgency=high

  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.2.0-1bookworm) bookworm; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.1.2-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.1.1-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.1.0-1bookworm) bookworm; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Nov 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (6.0.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 14 Sep 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (5.2.2-1bookworm) bookworm; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 08 Aug 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (5.2.1-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (5.2.0-1bookworm) bookworm; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 03 Jun 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (5.1.0-1bookworm) bookworm; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 11 May 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (5.0.0-1bookworm) bookworm; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (4.5.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (4.4.0-1bookworm) bookworm; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)
  * Load profiles based on topic names in rmw_fastrtps_dynamic_cpp (#497 <https://github.com/ros2/rmw_fastrtps/issues/497>)
  * Contributors: Eduardo Ponz Segrelles, Jacob Perron, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 28 Feb 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (4.3.0-1bookworm) bookworm; urgency=high

  * Set rmw_dds_common::GraphCache callback after init succeeds. (#496 <https://github.com/ros2/rmw_fastrtps/issues/496>)
  * Handle typesupport errors on fetch. (#495 <https://github.com/ros2/rmw_fastrtps/issues/495>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (4.2.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (4.1.0-1bookworm) bookworm; urgency=high

  * Check for correct context shutdown (#486 <https://github.com/ros2/rmw_fastrtps/issues/486>)
  * New environment variable to change easily the publication mode (#470 <https://github.com/ros2/rmw_fastrtps/issues/470>)
  * Contributors: Ignacio Montesino Valle, José Luis Bueno López

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (4.0.0-1bookworm) bookworm; urgency=high

  * Discriminate when the Client has gone from when the Client has not completely matched (#467 <https://github.com/ros2/rmw_fastrtps/issues/467>)
    * Workaround when the client is gone before server sends response
    * Change add to the map to listener callback
  * Update the package.xml files with the latest Open Robotics maintainers (#459 <https://github.com/ros2/rmw_fastrtps/issues/459>)
  * Update Quality Declarations and READMEs (#455 <https://github.com/ros2/rmw_fastrtps/issues/455>)
    * Add QL of external dependencies to rmw_fastrtps_dynamic_cpp QD
    * Add QD links for dependencies to rmw_fastrtps_dynamic_cpp QD
    * Provide external dependencies QD links
    * Add README to rmw_fastrtps_dynamic
    * Add QD for rmw_fastrtps_dynamic
  * Contributors: JLBuenoLopez-eProsima, Jaime Martin Losa, José Luis Bueno López, Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 21 Oct 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (3.1.4-1bookworm) bookworm; urgency=high

  * Ensure rmw_destroy_node() completes despite run-time errors. (#458 <https://github.com/ros2/rmw_fastrtps/issues/458>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 01 Oct 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (3.1.3-1bookworm) bookworm; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#452 <https://github.com/ros2/rmw_fastrtps/issues/452>)
  * Contributors: Alejandro Hernández Cordero

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (3.1.2-1bookworm) bookworm; urgency=high

  * Updated publisher/subscription allocation and wait set API return codes (#443 <https://github.com/ros2/rmw_fastrtps/issues/443>)
  * Added rmw_logging tests (#442 <https://github.com/ros2/rmw_fastrtps/issues/442>)
  * Contributors: Alejandro Hernández Cordero

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 24 Sep 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (3.1.1-1bookworm) bookworm; urgency=high

  * Fix array get_function semantics (#448 <https://github.com/ros2/rmw_fastrtps/issues/448>)
  * Make service/client construction/destruction implementation compliant (#445 <https://github.com/ros2/rmw_fastrtps/issues/445>)
  * Make sure type can be unregistered successfully (#437 <https://github.com/ros2/rmw_fastrtps/issues/437>)
  * Contributors: Barry Xu, Ivan Santiago Paunovic, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 23 Sep 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (3.1.0-1bookworm) bookworm; urgency=high

  * Add tests for native entity getters. (#439 <https://github.com/ros2/rmw_fastrtps/issues/439>)
  * Avoid deadlock if graph update fails. (#438 <https://github.com/ros2/rmw_fastrtps/issues/438>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 22 Sep 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (3.0.0-1bookworm) bookworm; urgency=high

  * Call Domain::removePublisher while failure occurs in create_publisher (#434 <https://github.com/ros2/rmw_fastrtps/issues/434>)
  * Avoid memory leaks and undefined behavior in rmw_fastrtps_dynamic_cpp typesupport code (#429 <https://github.com/ros2/rmw_fastrtps/issues/429>)
  * Contributors: Barry Xu, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 17 Sep 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.6.0-1bookworm) bookworm; urgency=high

  * Ensure compliant matched pub/sub count API. (#424 <https://github.com/ros2/rmw_fastrtps/issues/424>)
  * Ensure compliant publisher QoS queries. (#425 <https://github.com/ros2/rmw_fastrtps/issues/425>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 27 Aug 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.5.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 06 Aug 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.4.0-1bookworm) bookworm; urgency=high

  * Ensure compliant subscription API. (#419 <https://github.com/ros2/rmw_fastrtps/issues/419>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 05 Aug 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.3.0-1bookworm) bookworm; urgency=high

  * Ensure compliant publisher API. (#414 <https://github.com/ros2/rmw_fastrtps/issues/414>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 29 Jul 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.2.0-1bookworm) bookworm; urgency=high

  * Set context actual domain id (#410 <https://github.com/ros2/rmw_fastrtps/issues/410>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 21 Jul 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.1.0-1bookworm) bookworm; urgency=high

  * Ensure compliant node construction/destruction API. (#408 <https://github.com/ros2/rmw_fastrtps/issues/408>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 19 Jul 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (2.0.0-1bookworm) bookworm; urgency=high

  * Remove domain_id and localhost_only from node API (#407 <https://github.com/ros2/rmw_fastrtps/issues/407>)
  * Amend rmw_init() implementation: require enclave. (#406 <https://github.com/ros2/rmw_fastrtps/issues/406>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 07 Jul 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (1.1.0-1bookworm) bookworm; urgency=high

  * Ensure compliant init/shutdown API implementation. (#401 <https://github.com/ros2/rmw_fastrtps/issues/401>)
  * Finalize context iff shutdown. (#396 <https://github.com/ros2/rmw_fastrtps/issues/396>)
  * Make service wait for response reader (#390 <https://github.com/ros2/rmw_fastrtps/issues/390>)
  * Contributors: Michel Hidalgo, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 28 Jun 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (1.0.1-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (1.0.0-1bookworm) bookworm; urgency=high

  * Fix single rmw build for rmw_fastrtps_dynamic_cpp (#381 <https://github.com/ros2/rmw_fastrtps/issues/381>)
  * Remove API related to manual by node liveliness (#379 <https://github.com/ros2/rmw_fastrtps/issues/379>)
  * Contributors: Ivan Santiago Paunovic

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.9.1-1bookworm) bookworm; urgency=high

  * Added doxyfiles (#372 <https://github.com/ros2/rmw_fastrtps/issues/372>)
  * Contributors: Alejandro Hernández Cordero

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 07 May 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.9.0-1bookworm) bookworm; urgency=high

  * Fixed rmw_fastrtps_dynamic_cpp package description. (#376 <https://github.com/ros2/rmw_fastrtps/issues/376>)
  * Rename rosidl_message_bounds_t. (#373 <https://github.com/ros2/rmw_fastrtps/issues/373>)
  * Feature/services timestamps. (#369 <https://github.com/ros2/rmw_fastrtps/issues/369>)
  * Add support for taking a sequence of messages. (#366 <https://github.com/ros2/rmw_fastrtps/issues/366>)
  * security-context -> enclave. (#365 <https://github.com/ros2/rmw_fastrtps/issues/365>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c. (#367 <https://github.com/ros2/rmw_fastrtps/issues/367>)
  * Remove custom typesupport for rmw_dds_common interfaces. (#364 <https://github.com/ros2/rmw_fastrtps/issues/364>)
  * Added rosidl_runtime c and cpp depencencies. (#351 <https://github.com/ros2/rmw_fastrtps/issues/351>)
  * Switch to one Participant per Context. (#312 <https://github.com/ros2/rmw_fastrtps/issues/312>)
  * Add rmw_*_event_init() functions. (#354 <https://github.com/ros2/rmw_fastrtps/issues/354>)
  * Fixing type support C/CPP mix on rmw_fastrtps_dynamic_cpp. (#350 <https://github.com/ros2/rmw_fastrtps/issues/350>)
  * Fix build warning in Ubuntu Focal. (#346 <https://github.com/ros2/rmw_fastrtps/issues/346>)
  * Code style only: wrap after open parenthesis if not in one line. (#347 <https://github.com/ros2/rmw_fastrtps/issues/347>)
  * Passing down type support information (#342 <https://github.com/ros2/rmw_fastrtps/issues/342>)
  * Implement functions to get publisher and subcription informations like QoS policies from topic name. (#336 <https://github.com/ros2/rmw_fastrtps/issues/336>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ingo Lütkebohle, Ivan Santiago Paunovic, Jaison Titus, Miaofei Mei, Michael Carroll, Miguel Company, Mikael Arguedas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 27 Apr 2020 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.8.1-1bookworm) bookworm; urgency=high

  * use return_loaned_message_from (#334 <https://github.com/ros2/rmw_fastrtps/issues/334>)
  * Restrict traffic to localhost only if env var is provided (#331 <https://github.com/ros2/rmw_fastrtps/issues/331>)
  * Zero copy api (#322 <https://github.com/ros2/rmw_fastrtps/issues/322>)
  * update signature for added pub/sub options (#329 <https://github.com/ros2/rmw_fastrtps/issues/329>)
  * Contributors: Brian Marchi, Karsten Knese, William Woodall

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.8.0-1bookworm) bookworm; urgency=high

  * Add function for getting clients by node (#293 <https://github.com/ros2/rmw_fastrtps/issues/293>)
  * Use rcpputils::find_and_replace instead of std::regex_replace (#291 <https://github.com/ros2/rmw_fastrtps/issues/291>)
  * Export typesupport_fastrtps package dependencies (#294 <https://github.com/ros2/rmw_fastrtps/issues/294>)
  * Implement get_actual_qos() for subscriptions (#287 <https://github.com/ros2/rmw_fastrtps/issues/287>)
  * Contributors: Jacob Perron, M. M, kurcha01-arm

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 24 Sep 2019 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.7.3-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 28 May 2019 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.7.2-1bookworm) bookworm; urgency=high

  * add support for WString in rmw_fastrtps_dynamic_cpp (#278 <https://github.com/ros2/rmw_fastrtps/issues/278>)
  * Centralize topic name creation logic and update to match FastRTPS 1.8 API (#272 <https://github.com/ros2/rmw_fastrtps/issues/272>)
  * Contributors: Dirk Thomas, Nick Burek

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.7.1-1bookworm) bookworm; urgency=high

  * Support arbitrary message namespaces  (#266 <https://github.com/ros2/rmw_fastrtps/issues/266>)
  * Add qos interfaces with no-op (#271 <https://github.com/ros2/rmw_fastrtps/issues/271>)
  * Updates for preallocation API. (#274 <https://github.com/ros2/rmw_fastrtps/issues/274>)
  * Contributors: Jacob Perron, Michael Carroll, Ross Desmond

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.7.0-1bookworm) bookworm; urgency=high

  * Add function to get publisher actual qos settings (#267 <https://github.com/ros2/rmw_fastrtps/issues/267>)
  * pass context to wait set and fini context (#252 <https://github.com/ros2/rmw_fastrtps/issues/252>)
  * Add missing logic to dynamic RMW client implementation (#254 <https://github.com/ros2/rmw_fastrtps/issues/254>)
  * Merge pull request #250 <https://github.com/ros2/rmw_fastrtps/issues/250> from ros2/support_static_lib
  * use namespace_prefix from shared package
  * Use empty() instead of size() to check if a vector/map contains elements and fixed some incorrect logging (#245 <https://github.com/ros2/rmw_fastrtps/issues/245>)
  * Contributors: Dirk Thomas, Jacob Perron, Johnny Willemsen, William Woodall, ivanpauno

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 12 Apr 2019 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.6.1-1bookworm) bookworm; urgency=high

  * Add topic cache object for managing topic relations (#236 <https://github.com/ros2/rmw_fastrtps/issues/236>)
  * Fastrtps 1.7.0 (#233 <https://github.com/ros2/rmw_fastrtps/issues/233>)
  * RMW_FastRTPS configuration from XML only (#243 <https://github.com/ros2/rmw_fastrtps/issues/243>)
  * refactor to support init options and context (#237 <https://github.com/ros2/rmw_fastrtps/issues/237>)
  * Methods to retrieve matched counts on pub/sub (#234 <https://github.com/ros2/rmw_fastrtps/issues/234>)
  * Fixing failing tests on rmw_fastrtps_dynamic_cpp. (#242 <https://github.com/ros2/rmw_fastrtps/issues/242>)
  * use uint8_array (#240 <https://github.com/ros2/rmw_fastrtps/issues/240>)
  * fix linter warnings (#241 <https://github.com/ros2/rmw_fastrtps/issues/241>)
  * Contributors: Dirk Thomas, Juan Carlos, Karsten Knese, Michael Carroll, MiguelCompany, Ross Desmond, William Woodall

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 05 Dec 2018 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.6.0-1bookworm) bookworm; urgency=high

  * Merge pull request #232 <https://github.com/ros2/rmw_fastrtps/issues/232> from ros2/array-terminology
  * rename files
  * rename dynamic array to sequence
  * Add semicolons to all RCLCPP and RCUTILS macros. (#229 <https://github.com/ros2/rmw_fastrtps/issues/229>)
  * Include node namespaces in get_node_names (#224 <https://github.com/ros2/rmw_fastrtps/issues/224>)
  * add rmw_get_serialization_format (#215 <https://github.com/ros2/rmw_fastrtps/issues/215>)
  * Merge pull request #218 <https://github.com/ros2/rmw_fastrtps/issues/218> from ros2/pr203
  * Refs #3061 <https://github.com/ros2/rmw_fastrtps/issues/3061>. Adapting code on rmw_fastrtps_dynamic_cpp.
  * Refs #3061 <https://github.com/ros2/rmw_fastrtps/issues/3061>. Package rmw_fastrtps_cpp duplicated as rmw_fastrtps_dynamic_cpp.
  * Contributors: Chris Lalancette, Dirk Thomas, Karsten Knese, Michael Carroll, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 15 Nov 2018 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.5.1-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 27 Jun 2018 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.5.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 22 Jun 2018 16:00:00 -0000

ros-humble-rmw-fastrtps-dynamic-cpp (0.4.0-1bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 07 Dec 2017 16:00:00 -0000


